<?php
/*------------------------------------------------------------------------------------
# mod_add-to-calendar - A 'Add To Calendars Button' module for Joomla 3.x & 4.x v1.2.0
# ------------------------------------------------------------------------------------
# author    Joom4U
# copyright Copyright (C) 2023 Joom4U. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joom4u.com
-------------------------------------------------------------------------------------*/
// No direct access
defined('_JEXEC') or die('Restricted access');
$document = JFactory::getDocument();
$path = $params->get('path');
?>
<add-to-calendar-button
  name="<?php echo $eventTitle ?>"
  options="<?php echo $calendarList ?>"
  location="<?php echo $eventLocation ?>"                      
  description="<?php echo $eventDiscription ?>"
  startDate="<?php echo $eventStartDate ?>"                     
<?php if ($eventRecurrence == "no"): ?>
  endDate="<?php echo $eventEndDate ?>"
<?php endif ; ?>             
<?php if ($eventRecurrence == "yes"): ?>
  recurrence="<?php echo $recurrence ?>"
  recurrence_count="<?php echo $recurrenceCount ?>"
<?php endif ; ?>
<?php if ($recurrence == "weekly"): ?>
  recurrence_byDay="<?php echo $recurrencebyDay ?>"
<?php endif ; ?>
<?php if ($allDay == "no"): ?>
  startTime="<?php echo $eventStartTime ?>"
  endTime="<?php echo $eventEndTime ?>"
<?php endif ; ?>
  timeZone="<?php echo $eventTimeZone ?>"
  buttonstyle="<?php echo $buttonStyle ?>"
  label="<?php echo $buttonText ?>"
  size="<?php echo $buttonSize ?>"
  listStyle="<?php echo $listStyle ?>"
  hideIconButton="<?php echo $hideIconButton ?>"
  hideIconList="<?php echo $hideIconList ?>"
  lightMode="<?php echo $lightMode ?>"
  hideBranding="<?php echo $hideBranding ?>"
<?php if ($createCustomCSS == "yes"): ?>
  customCSS="<?php echo $customCSS ?>"
<?php endif ; ?>
></add-to-calendar-button>